﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.RadControlSpy;
using Telerik.WinControls.UI;

namespace TelerikWinFormsApp1
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
            People people = new People();
            this.radGridView1.DataSource = people.GetPeople();
            this.radGridView1.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;
            this.radGridView1.AllowAddNewRow = false;

            GridViewCommandColumn commandColumn = new GridViewCommandColumn("column1");
            commandColumn.HeaderText = "Buttons";
            this.radGridView1.Columns.Add(commandColumn);

            HtmlViewDefinition view = new HtmlViewDefinition();
            view.RowTemplate.Rows.Add(new RowDefinition());
            view.RowTemplate.Rows.Add(new RowDefinition());

            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("Name"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("Id"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("HairColor"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("Role"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("column1"));
            view.RowTemplate.Rows[1].Cells.Add(new CellDefinition("Description"));

            view.RowTemplate[0].Height = 30;
            view.RowTemplate.Rows[0].Cells[4].RowSpan = 2;
            view.RowTemplate.Rows[1].Cells[0].ColSpan = 4;

            this.radGridView1.ViewDefinition = view;
        }
    }
    public class People
    {
        private List<Person> people = new List<Person>();

        public People()
        {
            Person bob = new Person("Bob Krane", 1, "Brown short back and sides", "Bob is a nice chap. Always chirpy and bright", "Support Engineer");
            Person pete = new Person("Pete Beardsley", 1, "Brown + beard", "Pete has a big beard and talks about nothing else", "Developer");
            Person chris = new Person("Chris Blackfrier", 1, "Grey bits everywhere", "Chris is the boss and probably wouldn't like his description", "The Boss");
            Person stew = new Person("Stew Beaker", 1, "Blonde and spikey", "Stew does support and isn't in the office often", "Support Engineer");
            Person richard = new Person("Richard Ensalada", 1, "Blonde mop", "Richard is a star", "Developer");
            Person leisle = new Person("Leisle Blackfrier", 1, "Blonde and curly", "The wife of Chris. Keeps him under control", "Administrator");
            Person oly = new Person("Oly Brummers", 1, "Brown short back and sides", "Oly makes things up a lot", "I'm not sure");

            people.Add(bob);
            people.Add(pete);
            people.Add(chris);
            people.Add(stew);
            people.Add(richard);
            people.Add(leisle);
            people.Add(oly);
        }

        public List<Person> GetPeople()
        {
            return people;
        }
        public class Person
        {
            private string name;
            private int id;
            private string hairColor;
            private string description;
            private string role;

            public Person(string name, int id, string hairColor, string description, string role)
            {
                this.name = name;
                this.id = id;
                this.hairColor = hairColor;
                this.description = description;
                this.role = role;
            }

            public string Name
            {
                get { return this.name; }
            }

            public int Id
            {
                get { return this.id; }
            }

            public string HairColor
            {
                get { return this.hairColor; }
            }

            public string Description
            {
                get { return this.description; }
            }

            public string Role
            {
                get { return this.role; }
            }
        }
    }

}
